## golang-github-m3db-prometheus-client-model 0.0.3

=== debian/changelog ===
golang-github-m3db-prometheus-client-model (0.0.3-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Jul 2021 01:02:28 +0000

golang-github-m3db-prometheus-client-model (0.0.3-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 19:19:56 +0200
