## golang-github-m3db-prometheus-client-model 0.1.0

=== debian/changelog ===
golang-github-m3db-prometheus-client-model (0.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Thorsten Alteholz ]
  * New upstream release.
  * according to ratt no entry in Built-Using: of other packages

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jan 2022 02:39:19 +0100
