## golang-github-m3db-prometheus-client-model 0.2.1

=== debian/changelog ===
golang-github-m3db-prometheus-client-model (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt nothing needs to be rebuild

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Dec 2022 11:40:43 +0100
